Instalando o Panini

De Cartola

O software "Panini perspective tool" tem uma versão já um pouco antiga, 0.71.104, cujo código fonte está disponível no sourceforge neste link. Ele precisa ser compilado e tem algumas dependências, que, por estarem sendo constantemente atualizadas, acabam dificultando as vezes a compilação do bom e velho Panini.

Ubuntu 12.04

Consegui terminar hoje (12/08/2012) a compilação com sucesso do visualizador Panini.

Algum tempo depois descobri que ainda são mantidos pacotes para ubuntu em um repositório alternativo que viabiliza a instalação direta do software sem precisar compilar. Separo então abaixo os passos para a instalação do pacote e para a compilação.

Instalação via pacote

Os pacotes são mantidos aqui, onde há instruções em inglês para a instalação, que tento passar aqui em português:

  • Adicione o repositório ppa:hugin/hugin-builds às fontes de pacote do seu sistema
    • Uma maneira de fazer isso é pela linha de comandos:
      • sudo add-apt-repository ppa:hugin/hugin-builds
      • sudo apt-get update
      • sudo apt-get panini

Instalação via compilação

Um amigo reportou que a mesma receita funcionou no "Linux Mint Debian Edition Update 4".

Segue a receita de bolo:

  • Instalei o Ubuntu padrão para desktop
  • Instalei antes de tentar o compilar o Panini o aplicativo Hugin pelo próprio central de programas. Digo isso pois não sei até que ponto esta instalação pode já ter instalado alguma dependência do Panini.
  • Em seguida instalei o qt4 via apt-get
 apt-get -y install qt4-dev-tools
  • Verifique se com isso o programa "qmake" foi instalado, pois aqui foi, mas na época do 11.04 ele não se instalava e tinha que dar também um:
 apt-get -y install qt4-qmake
  • Através da Central de Programas instalei ainda o g++ e o zlib1g-dev
  • Baixe e extraia o código fonte do Panini, entrando em seguida na pasta criada na extração. É preciso fazer isso pela linha de comandos.
  • Crie então os makefiles com o comando:
 qmake panini.pro
  • Possivelmente ocorrerão algumas mensagens de aviso sobre o subversion se este não estiver instalado. Pode ignorar essas mensagens e seguir com a compilação pois esse erro não atrapala a compilação. As mensagens são deste tipo:
 sh: 1: svnversion: not found
 Project MESSAGE: could not run svnversion -- is it installed?
  • Em seguida é preciso editar o Makefile.Release, criado depois do comando acima. Para que a libz seja encontrada edite a linha 18 do arquivo, acrescentando "-lz -lGLU" no final, deixando-a assim:
 LIBS          = $(SUBLIBS)  -L/usr/lib/x86_64-linux-gnu -L/usr/X11R6/lib64 -lQtOpenGL -lQtGui -lQtCore -lGL -lpthread -lz -lGLU
  • Depois então foi só compilar assim:
 make release

Verifique depois se foi gerado o binário/executável Panini no diretório e se existir é só testar e usar.

Ferramentas pessoais
Anúncio